Bug 109882 - Report memory usage for ShadowDistributedRules.
Summary: Report memory usage for ShadowDistributedRules.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hayato Ito
URL:
Keywords:
Depends on:
Blocks: 97282
  Show dependency treegraph
 
Reported: 2013-02-14 19:48 PST by Hayato Ito
Modified: 2013-04-02 08:58 PDT (History)
7 users (show)

See Also:


Attachments
report memory usage (2.94 KB, patch)
2013-02-14 19:51 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
fix a build error on SHADOW_DOM-disabled ports. (2.97 KB, patch)
2013-02-14 20:22 PST, Hayato Ito
no flags Details | Formatted Diff | Diff
Rebased on ToT. (2.96 KB, patch)
2013-04-01 21:42 PDT, Hayato Ito
no flags Details | Formatted Diff | Diff
Remove a unnecessary empty line. (2.96 KB, patch)
2013-04-01 21:46 PDT, Hayato Ito
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hayato Ito 2013-02-14 19:48:19 PST
This is a following patch for r142855.
Comment 1 Hayato Ito 2013-02-14 19:51:14 PST
Created attachment 188467 [details]
report memory usage
Comment 2 Early Warning System Bot 2013-02-14 20:01:29 PST
Comment on attachment 188467 [details]
report memory usage

Attachment 188467 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/16581643
Comment 3 Early Warning System Bot 2013-02-14 20:03:52 PST
Comment on attachment 188467 [details]
report memory usage

Attachment 188467 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/16550950
Comment 4 Hayato Ito 2013-02-14 20:22:51 PST
Created attachment 188469 [details]
fix a build error on SHADOW_DOM-disabled ports.
Comment 5 Shinya Kawanaka 2013-02-14 20:29:31 PST
Comment on attachment 188469 [details]
fix a build error on SHADOW_DOM-disabled ports.

View in context: https://bugs.webkit.org/attachment.cgi?id=188469&action=review

> Source/WebCore/ChangeLog:8
> +        This is a following patch for r142855.

Maybe follow-up?
Comment 6 Hayato Ito 2013-04-01 21:42:39 PDT
Created attachment 196069 [details]
Rebased on ToT.
Comment 7 Hayato Ito 2013-04-01 21:43:16 PDT
(In reply to comment #5)
> (From update of attachment 188469 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=188469&action=review
> 
> > Source/WebCore/ChangeLog:8
> > +        This is a following patch for r142855.
> 
> Maybe follow-up?

Done.
Comment 8 Hayato Ito 2013-04-01 21:46:57 PDT
Created attachment 196070 [details]
Remove a unnecessary empty line.
Comment 9 WebKit Review Bot 2013-04-02 08:58:51 PDT
Comment on attachment 196070 [details]
Remove a unnecessary empty line.

Clearing flags on attachment: 196070

Committed r147440: <http://trac.webkit.org/changeset/147440>
Comment 10 WebKit Review Bot 2013-04-02 08:58:55 PDT
All reviewed patches have been landed.  Closing bug.